<template>
  <Popup ref="pop" :title="title" :left="left" :shadow="false">
    <el-form ref="form" label-width="106px">
      <el-form-item label="光源类型:">
        <el-switch
          :value="mapStatus.sunLight"
          active-text="太阳光"
          inactive-text="平行光"
          @change="change('sunLight', $event)"
        >
        </el-switch>
      </el-form-item>
      <el-form-item label="光照强度:">
        <el-input-number
          :min="0"
          :value="mapStatus.lightIntensity"
          @change="change('lightIntensity', $event)"
        ></el-input-number>
      </el-form-item>
      <el-form-item label="光照颜色:">
        <el-color-picker
          :value="mapStatus.lightColor"
          @change="change('lightColor', $event)"
        ></el-color-picker>
      </el-form-item>
    </el-form>
  </Popup>
</template>

<script>
import Popup from "@tools/Popup";
import baseVuex from "@mixin/baseVuex";
export default {
  name: "Light",
  components: {
    Popup,
  },
  mixins: [baseVuex],
  data() {
    return {
      title: "光源",
      left: "calc(100% - 330px)",
    };
  },
  computed: {},
  mounted() {},
  methods: {
    // 打开弹窗
    open() {
      this.$refs.pop.open();
    },
    change(type, value) {
      window.sgworld && (sgworld[type] = value);
      this.changeMapStatus({ type, value });
    },
  },
};
</script>

<style scoped lang="less">
.el-form {
  width: 310px;
  margin-top: 20px;
  margin-right: 10px;

  /deep/ .el-form-item__label {
    color: #fff;
    font-size: 18px;
  }
}
</style>
